glib-compile-schemas invalid free in per session override

Bug #1713391 reported by cool frankly on 2017-08-28
94
This bug affects 10 people
Affects Status Importance Assigned to Milestone
glib2.0 (Ubuntu)
High
Didier Roche

Bug Description

reinstall nautilus error with package sogoupinyin

# sudo nautilus
sys:1: PyGIWarning: Nautilus was imported without specifying a version
first. Use gi.require_version('Nautilus', '3.0') before import to
ensure that the right version gets loaded.
** Message: Init Stock Icons

(nautilus:10235): GLib-GIO-ERROR **: Settings schema
'org.gnome.nautilus.preferences' does not contain a key named 'fts-default'

#sudo apt-get install --reinstall nautilus nautilus-share nautilus-data rabbitvcs-nautilus ubuntu-desktop libglib2.0-0
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
正在读取状态信息... 完成
升级了 0 个软件包,新安装了 0 个软件包,重新安装了 7 个软件包,要卸载 0 个软件包,有 0 个软件包未被升级。
需要下载 0 B/3,298 kB 的归档。
解压缩后会消耗 0 B 的额外空间。
您希望继续执行吗? [Y/n] y
(正在读取数据库 ... 系统当前共安装有 265294 个文件和目录。)
正准备解包 .../0-libglib2.0-0_2.53.6-1ubuntu1_amd64.deb ...
正在将 libglib2.0-0:amd64 (2.53.6-1ubuntu1) 解包到 (2.53.6-1ubuntu1) 上 ...
正准备解包 .../1-libglib2.0-0_2.53.6-1ubuntu1_i386.deb ...
正在将 libglib2.0-0:i386 (2.53.6-1ubuntu1) 解包到 (2.53.6-1ubuntu1) 上 ...
正准备解包 .../2-nautilus_1%3a3.25.90-0ubuntu1_amd64.deb ...
正在将 nautilus (1:3.25.90-0ubuntu1) 解包到 (1:3.25.90-0ubuntu1) 上 ...
正准备解包 .../3-nautilus-data_1%3a3.25.90-0ubuntu1_all.deb ...
正在将 nautilus-data (1:3.25.90-0ubuntu1) 解包到 (1:3.25.90-0ubuntu1) 上 ...
正准备解包 .../4-nautilus-share_0.7.3-2ubuntu2_amd64.deb ...
正在将 nautilus-share (0.7.3-2ubuntu2) 解包到 (0.7.3-2ubuntu2) 上 ...
正准备解包 .../5-rabbitvcs-nautilus_0.16-1.1_all.deb ...
正在将 rabbitvcs-nautilus (0.16-1.1) 解包到 (0.16-1.1) 上 ...
正准备解包 .../6-ubuntu-desktop_1.397_amd64.deb ...
正在将 ubuntu-desktop (1.397) 解包到 (1.397) 上 ...
正在设置 nautilus-data (1:3.25.90-0ubuntu1) ...
正在处理用于 mime-support (3.60ubuntu1) 的触发器 ...
正在设置 libglib2.0-0:i386 (2.53.6-1ubuntu1) ...
覆盖文件 /usr/share/glib-2.0/schemas/50_sogoupinyin.gschema.override 中指定的方案 org.gnome.settings-daemon.plugins.xsettings 中没有键 Gtk/IMModule;忽略对此键的覆盖。
*** Error in `/usr/lib/i386-linux-gnu/glib-2.0/glib-compile-schemas': double free or corruption (fasttop): 0x58242808 ***
======= Backtrace: =========
/lib/i386-linux-gnu/libc.so.6(+0x67f5a)[0xf742af5a]
/lib/i386-linux-gnu/libc.so.6(+0x6eb57)[0xf7431b57]
/lib/i386-linux-gnu/libc.so.6(+0x6f496)[0xf7432496]
/lib/i386-linux-gnu/libglib-2.0.so.0(g_free+0x20)[0xf75ca0b0]
/lib/i386-linux-gnu/libglib-2.0.so.0(g_strfreev+0x3f)[0xf75e59bf]
/usr/lib/i386-linux-gnu/glib-2.0/glib-compile-schemas(+0x345e)[0x5659e45e]
/lib/i386-linux-gnu/libc.so.6(__libc_start_main+0xf6)[0xf73db286]
/usr/lib/i386-linux-gnu/glib-2.0/glib-compile-schemas(+0x34ca)[0x5659e4ca]
======= Memory map: ========
5659b000-565a5000 r-xp 00000000 08:01 28049954 /usr/lib/i386-linux-gnu/glib-2.0/glib-compile-schemas
565a6000-565a7000 r--p 0000a000 08:01 28049954 /usr/lib/i386-linux-gnu/glib-2.0/glib-compile-schemas
565a7000-565a8000 rw-p 0000b000 08:01 28049954 /usr/lib/i386-linux-gnu/glib-2.0/glib-compile-schemas
58113000-58290000 rw-p 00000000 00:00 0 [heap]
f6e00000-f6e21000 rw-p 00000000 00:00 0
f6e21000-f6f00000 ---p 00000000 00:00 0
f6f75000-f712b000 r--p 002da000 08:01 25170585 /usr/lib/locale/locale-archive
f712b000-f732b000 r--p 00000000 08:01 25170585 /usr/lib/locale/locale-archive
f732b000-f732d000 rw-p 00000000 00:00 0
f732d000-f7346000 r-xp 00000000 08:01 50856428 /lib/i386-linux-gnu/libpthread-2.24.so
f7346000-f7347000 r--p 00018000 08:01 50856428 /lib/i386-linux-gnu/libpthread-2.24.so
f7347000-f7348000 rw-p 00019000 08:01 50856428 /lib/i386-linux-gnu/libpthread-2.24.so
f7348000-f734a000 rw-p 00000000 00:00 0
f734a000-f73c1000 r-xp 00000000 08:01 50856034 /lib/i386-linux-gnu/libpcre.so.3.13.3
f73c1000-f73c2000 r--p 00076000 08:01 50856034 /lib/i386-linux-gnu/libpcre.so.3.13.3
f73c2000-f73c3000 rw-p 00077000 08:01 50856034 /lib/i386-linux-gnu/libpcre.so.3.13.3
f73c3000-f7576000 r-xp 00000000 08:01 50856273 /lib/i386-linux-gnu/libc-2.24.so
f7576000-f7577000 ---p 001b3000 08:01 50856273 /lib/i386-linux-gnu/libc-2.24.so
f7577000-f7579000 r--p 001b3000 08:01 50856273 /lib/i386-linux-gnu/libc-2.24.so
f7579000-f757a000 rw-p 001b5000 08:01 50856273 /lib/i386-linux-gnu/libc-2.24.so
f757a000-f757d000 rw-p 00000000 00:00 0
f757d000-f76a9000 r-xp 00000000 08:01 50856016 /lib/i386-linux-gnu/libglib-2.0.so.0.5306.0
f76a9000-f76aa000 r--p 0012b000 08:01 50856016 /lib/i386-linux-gnu/libglib-2.0.so.0.5306.0
f76aa000-f76ab000 rw-p 0012c000 08:01 50856016 /lib/i386-linux-gnu/libglib-2.0.so.0.5306.0
f76ab000-f76c6000 r-xp 00000000 08:01 50856195 /lib/i386-linux-gnu/libgcc_s.so.1
f76c6000-f76c7000 r--p 0001a000 08:01 50856195 /lib/i386-linux-gnu/libgcc_s.so.1
f76c7000-f76c8000 rw-p 0001b000 08:01 50856195 /lib/i386-linux-gnu/libgcc_s.so.1
f76c8000-f76c9000 rw-p 00000000 00:00 0
f76c9000-f76d0000 r--s 00000000 08:01 28184708 /usr/lib/i386-linux-gnu/gconv/gconv-modules.cache
f76d0000-f76e3000 r--p 00000000 08:01 25829175 /usr/share/locale-langpack/zh_CN/LC_MESSAGES/glib20.mo
f76e3000-f76e6000 rw-p 00000000 00:00 0
f76e6000-f76e9000 r--p 00000000 00:00 0 [vvar]
f76e9000-f76eb000 r-xp 00000000 00:00 0 [vdso]
f76eb000-f770e000 r-xp 00000000 08:01 50856268 /lib/i386-linux-gnu/ld-2.24.so
f770e000-f770f000 r--p 00022000 08:01 50856268 /lib/i386-linux-gnu/ld-2.24.so
f770f000-f7710000 rw-p 00023000 08:01 50856268 /lib/i386-linux-gnu/ld-2.24.so
ffe37000-ffe58000 rw-p 00000000 00:00 0 [stack]
Aborted (core dumped)
正在设置 libglib2.0-0:amd64 (2.53.6-1ubuntu1) ...
覆盖文件 /usr/share/glib-2.0/schemas/50_sogoupinyin.gschema.override 中指定的方案 org.gnome.settings-daemon.plugins.xsettings 中没有键 Gtk/IMModule;忽略对此键的覆盖。
*** Error in `/usr/lib/x86_64-linux-gnu/glib-2.0/glib-compile-schemas': double free or corruption (fasttop): 0x000000f9a05a92e0 ***
======= Backtrace: =========
/lib/x86_64-linux-gnu/libc.so.6(+0x790bb)[0x7f15a3f520bb]
/lib/x86_64-linux-gnu/libc.so.6(+0x82c6a)[0x7f15a3f5bc6a]
/lib/x86_64-linux-gnu/libc.so.6(cfree+0x4c)[0x7f15a3f5fd5c]
/usr/lib/x86_64-linux-gnu/glib-2.0/glib-compile-schemas(+0x4046)[0xf99fdbd046]
/lib/x86_64-linux-gnu/libc.so.6(__libc_start_main+0xf1)[0x7f15a3ef9421]
/usr/lib/x86_64-linux-gnu/glib-2.0/glib-compile-schemas(+0x409a)[0xf99fdbd09a]
======= Memory map: ========
f99fdb9000-f99fdc3000 r-xp 00000000 08:01 25560439 /usr/lib/x86_64-linux-gnu/glib-2.0/glib-compile-schemas
f99ffc2000-f99ffc3000 r--p 00009000 08:01 25560439 /usr/lib/x86_64-linux-gnu/glib-2.0/glib-compile-schemas
f99ffc3000-f99ffc4000 rw-p 0000a000 08:01 25560439 /usr/lib/x86_64-linux-gnu/glib-2.0/glib-compile-schemas
f9a0345000-f9a05d9000 rw-p 00000000 00:00 0 [heap]
7f159c000000-7f159c021000 rw-p 00000000 00:00 0
7f159c021000-7f15a0000000 ---p 00000000 00:00 0
7f15a33a0000-7f15a33b6000 r-xp 00000000 08:01 50855994 /lib/x86_64-linux-gnu/libgcc_s.so.1
7f15a33b6000-7f15a35b5000 ---p 00016000 08:01 50855994 /lib/x86_64-linux-gnu/libgcc_s.so.1
7f15a35b5000-7f15a35b6000 r--p 00015000 08:01 50855994 /lib/x86_64-linux-gnu/libgcc_s.so.1
7f15a35b6000-7f15a35b7000 rw-p 00016000 08:01 50855994 /lib/x86_64-linux-gnu/libgcc_s.so.1
7f15a35b7000-7f15a3a48000 r--p 00000000 08:01 25170585 /usr/lib/locale/locale-archive
7f15a3a48000-7f15a3a60000 r-xp 00000000 08:01 50856312 /lib/x86_64-linux-gnu/libpthread-2.24.so
7f15a3a60000-7f15a3c60000 ---p 00018000 08:01 50856312 /lib/x86_64-linux-gnu/libpthread-2.24.so
7f15a3c60000-7f15a3c61000 r--p 00018000 08:01 50856312 /lib/x86_64-linux-gnu/libpthread-2.24.so
7f15a3c61000-7f15a3c62000 rw-p 00019000 08:01 50856312 /lib/x86_64-linux-gnu/libpthread-2.24.so
7f15a3c62000-7f15a3c66000 rw-p 00000000 00:00 0
7f15a3c66000-7f15a3cd8000 r-xp 00000000 08:01 50855968 /lib/x86_64-linux-gnu/libpcre.so.3.13.3
7f15a3cd8000-7f15a3ed7000 ---p 00072000 08:01 50855968 /lib/x86_64-linux-gnu/libpcre.so.3.13.3
7f15a3ed7000-7f15a3ed8000 r--p 00071000 08:01 50855968 /lib/x86_64-linux-gnu/libpcre.so.3.13.3
7f15a3ed8000-7f15a3ed9000 rw-p 00072000 08:01 50855968 /lib/x86_64-linux-gnu/libpcre.so.3.13.3
7f15a3ed9000-7f15a4095000 r-xp 00000000 08:01 50856143 /lib/x86_64-linux-gnu/libc-2.24.so
7f15a4095000-7f15a4294000 ---p 001bc000 08:01 50856143 /lib/x86_64-linux-gnu/libc-2.24.so
7f15a4294000-7f15a4298000 r--p 001bb000 08:01 50856143 /lib/x86_64-linux-gnu/libc-2.24.so
7f15a4298000-7f15a429a000 rw-p 001bf000 08:01 50856143 /lib/x86_64-linux-gnu/libc-2.24.so
7f15a429a000-7f15a429e000 rw-p 00000000 00:00 0
7f15a429e000-7f15a43af000 r-xp 00000000 08:01 50856017 /lib/x86_64-linux-gnu/libglib-2.0.so.0.5306.0
7f15a43af000-7f15a45af000 ---p 00111000 08:01 50856017 /lib/x86_64-linux-gnu/libglib-2.0.so.0.5306.0
7f15a45af000-7f15a45b0000 r--p 00111000 08:01 50856017 /lib/x86_64-linux-gnu/libglib-2.0.so.0.5306.0
7f15a45b0000-7f15a45b1000 rw-p 00112000 08:01 50856017 /lib/x86_64-linux-gnu/libglib-2.0.so.0.5306.0
7f15a45b1000-7f15a45b2000 rw-p 00000000 00:00 0
7f15a45b2000-7f15a45d8000 r-xp 00000000 08:01 50856019 /lib/x86_64-linux-gnu/ld-2.24.so
7f15a479a000-7f15a479c000 rw-p 00000000 00:00 0
7f15a47b9000-7f15a47ba000 rw-p 00000000 00:00 0
7f15a47ba000-7f15a47c1000 r--s 00000000 08:01 25564545 /usr/lib/x86_64-linux-gnu/gconv/gconv-modules.cache
7f15a47c1000-7f15a47d4000 r--p 00000000 08:01 25829175 /usr/share/locale-langpack/zh_CN/LC_MESSAGES/glib20.mo
7f15a47d4000-7f15a47d7000 rw-p 00000000 00:00 0
7f15a47d7000-7f15a47d8000 r--p 00025000 08:01 50856019 /lib/x86_64-linux-gnu/ld-2.24.so
7f15a47d8000-7f15a47d9000 rw-p 00026000 08:01 50856019 /lib/x86_64-linux-gnu/ld-2.24.so
7f15a47d9000-7f15a47da000 rw-p 00000000 00:00 0
7ffdd21b2000-7ffdd21d3000 rw-p 00000000 00:00 0 [stack]
7ffdd21eb000-7ffdd21ee000 r--p 00000000 00:00 0 [vvar]
7ffdd21ee000-7ffdd21f0000 r-xp 00000000 00:00 0 [vdso]
ffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 0 [vsyscall]
Aborted (core dumped)
正在处理用于 bamfdaemon (0.5.3+17.10.20170810-0ubuntu1) 的触发器 ...
Rebuilding /usr/share/applications/bamf-2.index...
正在处理用于 libc-bin (2.24-12ubuntu1) 的触发器 ...
正在处理用于 man-db (2.7.6.1-2) 的触发器 ...
正在处理用于 gnome-menus (3.13.3-6ubuntu5) 的触发器 ...
正在处理用于 hicolor-icon-theme (0.15-1) 的触发器 ...
正在设置 nautilus (1:3.25.90-0ubuntu1) ...
正在处理用于 desktop-file-utils (0.23-1ubuntu3) 的触发器 ...
正在设置 rabbitvcs-nautilus (0.16-1.1) ...
正在设置 ubuntu-desktop (1.397) ...
正在设置 nautilus-share (0.7.3-2ubuntu2) ...

after remove # sudo apt remove --purge sogoupinyin
$sudo apt-get install --reinstall nautilus nautilus-share nautilus-data rabbitvcs-nautilus ubuntu-desktop libglib2.0-0
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
正在读取状态信息... 完成
下列软件包是自动安装的并且现在不需要了:
  fcitx-libs fcitx-libs-qt libopencc1
使用'sudo apt autoremove'来卸载它(它们)
升级了 0 个软件包,新安装了 0 个软件包,重新安装了 7 个软件包,要卸载 0 个软件包,有 0 个软件包未被升级。
需要下载 0 B/3,298 kB 的归档。
解压缩后会消耗 0 B 的额外空间。
您希望继续执行吗? [Y/n] y
(正在读取数据库 ... 系统当前共安装有 265000 个文件和目录。)
正准备解包 .../0-libglib2.0-0_2.53.6-1ubuntu1_amd64.deb ...
正在将 libglib2.0-0:amd64 (2.53.6-1ubuntu1) 解包到 (2.53.6-1ubuntu1) 上 ...
正准备解包 .../1-libglib2.0-0_2.53.6-1ubuntu1_i386.deb ...
正在将 libglib2.0-0:i386 (2.53.6-1ubuntu1) 解包到 (2.53.6-1ubuntu1) 上 ...
正准备解包 .../2-nautilus_1%3a3.25.90-0ubuntu1_amd64.deb ...
正在将 nautilus (1:3.25.90-0ubuntu1) 解包到 (1:3.25.90-0ubuntu1) 上 ...
正准备解包 .../3-nautilus-data_1%3a3.25.90-0ubuntu1_all.deb ...
正在将 nautilus-data (1:3.25.90-0ubuntu1) 解包到 (1:3.25.90-0ubuntu1) 上 ...
正准备解包 .../4-nautilus-share_0.7.3-2ubuntu2_amd64.deb ...
正在将 nautilus-share (0.7.3-2ubuntu2) 解包到 (0.7.3-2ubuntu2) 上 ...
正准备解包 .../5-rabbitvcs-nautilus_0.16-1.1_all.deb ...
正在将 rabbitvcs-nautilus (0.16-1.1) 解包到 (0.16-1.1) 上 ...
正准备解包 .../6-ubuntu-desktop_1.397_amd64.deb ...
正在将 ubuntu-desktop (1.397) 解包到 (1.397) 上 ...
正在设置 nautilus-data (1:3.25.90-0ubuntu1) ...
正在处理用于 mime-support (3.60ubuntu1) 的触发器 ...
正在设置 libglib2.0-0:i386 (2.53.6-1ubuntu1) ...
正在设置 libglib2.0-0:amd64 (2.53.6-1ubuntu1) ...
正在处理用于 bamfdaemon (0.5.3+17.10.20170810-0ubuntu1) 的触发器 ...
Rebuilding /usr/share/applications/bamf-2.index...
正在处理用于 libc-bin (2.24-12ubuntu1) 的触发器 ...
正在处理用于 man-db (2.7.6.1-2) 的触发器 ...
正在处理用于 gnome-menus (3.13.3-6ubuntu5) 的触发器 ...
正在处理用于 hicolor-icon-theme (0.15-1) 的触发器 ...
正在设置 nautilus (1:3.25.90-0ubuntu1) ...
正在处理用于 desktop-file-utils (0.23-1ubuntu3) 的触发器 ...
正在设置 rabbitvcs-nautilus (0.16-1.1) ...
正在设置 ubuntu-desktop (1.397) ...
正在设置 nautilus-share (0.7.3-2ubuntu2) ...
(failed reverse-i-search)`': sudo apt-get install --reinstall nautilus nautilus-share nautilus-data rabbitvcs-nautilus ubu^Cu-desktop libglib2.0-0

# sudo nautilus
sys:1: PyGIWarning: Nautilus was imported without specifying a version first. Use gi.require_version('Nautilus', '3.0') before import to ensure that the right version gets loaded.
** Message: Init Stock Icons
/usr/lib/python2.7/dist-packages/rabbitvcs/util/contextmenu.py:34: PyGIWarning: Gtk was imported without specifying a version first. Use gi.require_version('Gtk', '3.0') before import to ensure that the right version gets loaded.
  from gi.repository import Gtk as gtk

it OK!

ProblemType: Crash
DistroRelease: Ubuntu 17.10
Package: libglib2.0-0 2.53.6-1ubuntu1
ProcVersionSignature: Ubuntu 4.12.0-12.13-generic 4.12.8
Uname: Linux 4.12.0-12-generic x86_64
ApportVersion: 2.20.6-0ubuntu7
Architecture: amd64
AssertionMessage: *** Error in `/usr/lib/x86_64-linux-gnu/glib-2.0/glib-compile-schemas': double free or corruption (fasttop): 0x00000043559a5bc0 ***
CrashCounter: 1
Date: Mon Aug 28 11:15:29 2017
ExecutablePath: /usr/lib/x86_64-linux-gnu/glib-2.0/glib-compile-schemas
InstallationDate: Installed on 2016-07-26 (398 days ago)
InstallationMedia: Ubuntu 15.10 "Wily Werewolf" - Release amd64 (20151021)
ProcCmdline: /usr/lib/x86_64-linux-gnu/glib-2.0/glib-compile-schemas /usr/share/glib-2.0/schemas
ProcEnviron:
 TERM=linux
 PATH=(custom, no user)
 LANG=zh_CN.UTF-8
Signal: 6
SourcePackage: glib2.0
StacktraceTop:
 __libc_message (do_abort=do_abort@entry=2, fmt=fmt@entry=0x7f4b8b6faf68 "*** Error in `%s': %s: 0x%s ***\n") at ../sysdeps/posix/libc_fatal.c:175
 malloc_printerr (ar_ptr=<optimized out>, ptr=<optimized out>, str=0x7f4b8b6fb030 "double free or corruption (fasttop)", action=3) at malloc.c:5049
 _int_free (av=<optimized out>, p=<optimized out>, have_lock=<optimized out>) at malloc.c:3905
 __GI___libc_free (mem=<optimized out>) at malloc.c:2985
 ?? ()
Title: glib-compile-schemas assert failure: *** Error in `/usr/lib/x86_64-linux-gnu/glib-2.0/glib-compile-schemas': double free or corruption (fasttop): 0x00000043559a5bc0 ***
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups:

cool frankly (cool-frankly) wrote :
description: updated
tags: added: libglib2.0-0 nautilus

StacktraceTop:
 __libc_message (do_abort=do_abort@entry=2, fmt=fmt@entry=0x7f4b8b6faf68 "*** Error in `%s': %s: 0x%s ***\n") at ../sysdeps/posix/libc_fatal.c:175
 malloc_printerr (ar_ptr=<optimized out>, ptr=<optimized out>, str=0x7f4b8b6fb030 "double free or corruption (fasttop)", action=3) at malloc.c:5049
 _int_free (av=<optimized out>, p=<optimized out>, have_lock=<optimized out>) at malloc.c:3905
 __GI___libc_free (mem=<optimized out>) at malloc.c:2985
 set_overrides (strict=0, files=0x4355750728, schema_table=0x4355742120) at ../../../../gio/glib-compile-schemas.c:2115

Changed in glib2.0 (Ubuntu):
importance: Undecided → Medium
tags: removed: need-amd64-retrace
information type: Private → Public
summary: - glib-compile-schemas assert failure: *** Error in `/usr/lib/x86_64
- -linux-gnu/glib-2.0/glib-compile-schemas': double free or corruption
- (fasttop): 0x00000043559a5bc0 ***
+ glib-compile-schemas invalid free in per session override
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in glib2.0 (Ubuntu):
status: New → Confirmed
Sebastien Bacher (seb128) wrote :

There is an invalid read error in valgrind

==31343== at 0x4EA5439: g_strfreev (gstrfuncs.c:2496)
==31343== by 0x10C045: set_overrides (glib-compile-schemas.c:2115)
==31343== by 0x10C045: main (glib-compile-schemas.c:2269)
==31343== Address 0x634b8e8 is 8 bytes inside a block of size 16 free'd
==31343== at 0x4C2ED5B: free (in /usr/lib/valgrind/vgpreload_memcheck-amd64-linux.so)
==31343== by 0x10BE82: set_overrides (glib-compile-schemas.c:2084)
==31343== by 0x10BE82: main (glib-compile-schemas.c:2269)

Changed in glib2.0 (Ubuntu):
importance: Medium → High
status: Confirmed → Triaged
Sebastien Bacher (seb128) wrote :

Copying that override in the schemas dir is enough to trigger the segfault

tags: added: gnome-17.10
Iain Lane (laney) wrote :

Alberts posted a new version of the patch at https://bugzilla.gnome.org/show_bug.cgi?id=746592#c62 - would be good to upload this.

Changed in glib2.0 (Ubuntu):
assignee: nobody → Didier Roche (didrocks)
Iain Lane (laney) wrote :

didrocks, any chance you can take a look at the new version of the patch please? :-)

Didier Roche (didrocks) wrote :

Tested for an evening + this morning, doesn't segfault anymore with the schema provided. Uploading

Jarod (liuyuanzhi) wrote :

It was only showing this core dump when installing package with apt before. but after upgrade to latest packages today (apt update && apt full-upgrade), I can't login to GDM (black screen).
The workaround is remove the package sogoupinyin, which provide this file /usr/share/glib-2.0/schemas/50_sogoupinyin.gschema.override
but now I can't use the best Chinese pinyin IME on linux...

Didier Roche (didrocks) wrote :

IIRC, the override is using an invalid gsettings key (hence gsettings erroring out instead of segfault). Maybe somebody should fix it?

Are you sure that sogoupinyin is causing your problem?

Invalid gsettings key in override file should not be problem. Override file is only used to compile gschemas.compiled file and invalid / unknown keys are simply ignored. Unless fcitx is hard requirement for something I doubt that your problem is related to GSettings.

In any case someone should fix that override file by removing invalid key or replace it with correct key - overrides.

Untested, but correct override might look like this:
overrides={'Gtk/IMModule': <'fcitx'>}

cool frankly (cool-frankly) wrote :

after upgrade, reinstall sogoupinyin, restart today, everything work fine without changing anything related. Seem fixed!

Changed in glib2.0 (Ubuntu):
status: Triaged → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package glib2.0 - 2.53.6-1ubuntu2

---------------
glib2.0 (2.53.6-1ubuntu2) artful; urgency=medium

  * exp_git_default_per_desktop3.patch:
    - refresh patch from Alberts Muktupāvels to fix double free issue
      (LP: #1713391)

 -- Didier Roche <email address hidden> Thu, 31 Aug 2017 18:30:00 +0200

Changed in glib2.0 (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.